package jp.agentec.sinaburocast.common.exception;

/**
 * システム障害例外クラス
 * （インフラ、ミドルウエアのエラーに使用）
 *
 * @author tsukada
 *
 */
public class SystemException extends Exception {
    private static final long serialVersionUID = -5979894635673871321L;

    private transient String code;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public SystemException(String s, String code) {
		super(s);
		this.code = code;
	}

}
