package jp.agentec.sinaburocast.form.admin.support;

import java.util.ArrayList;

import jp.agentec.sinaburocast.dto.OrganizationDto;
import jp.agentec.sinaburocast.form.admin.setting.PagingForm;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;


/**
 * 団体検索Form
 *
 * @author choi-c
 *
 */
@Component(instance=InstanceType.SESSION)
public class OrganizationSearchForm extends PagingForm{

	
	public String clipboard;
	/** 検索結果 */
	public ArrayList<OrganizationDto> searchResultList;
	
	public void resetIndex(){
		pageNo=1;
		pagingMapAdd(PAGING);
	}
	
	
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, StandardToStringStyle.SIMPLE_STYLE).toString();
	}
}
