package jp.agentec.sinaburocast.form.user;

import java.util.List;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;

import jp.agentec.sinaburocast.entity.Gift;
import jp.agentec.sinaburocast.entity.GiftExchangeInfo;
import jp.agentec.sinaburocast.entity.Message;
/**
 * ポイント利用Form
 *
 * @author choi-c
 *
 */
public class PointUseForm {
	
	/**
	 * 景品Id
	 */
	public String giftId;
	
	/**
	 * 景品
	 */
	public List<Gift> giftList;
	 
	public Message message;
	
	public List<GiftExchangeInfo> giftExchangeInfoList;
	
	// ポイント利用方法タイプ（エコボカード、ICHICOポイント）
	public Integer giftType;
	
	// ICHICO会員番号
	public String memberNum;
	
	// ICHICOポイント交換リンク表示フラグ
	public boolean ichicoHide = false;
	
	// 会員カード郵送申請リンク表示フラグ
	public boolean memberCardReceiptHide = false;
	
	// 会員情報入力画面からのアクセスか判定するフラグ（ICHICOポイント交換用）
	public boolean uEditEndFlg = false;
	
//	public void reset() {
//		giftList = new ArrayList<Gift>();
//
//	}
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, StandardToStringStyle.SIMPLE_STYLE).toString();
	}

}
