package jp.agentec.sinaburocast.entity;

import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

@Entity
@Table(name="m_organization")
public class Organization extends AbstractEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "organization_id")
	public Integer organizationId;

	@Column(name = "organization_no")
	public Integer organizationNo;

	@Column(name = "organization_name")
	public String organizationName;

	@OneToMany(mappedBy = "organization")
	public List<PointDonation> pointDonationList;


}
